본문 바로가기
728x90
반응형
SMALL

Docker9

Nginx on Docker Run Nginx on Docker 1. Create Dockerfile1234FROM nginxCOPY html /usr/share/nginx/html # html directory of contentADD nginx.conf /etc/nginx/nginx.conf # nignx config fileCMD ["nginx", "-g", "daemon off;"]cs 2.Create nginx.conf1234567891011121314user nobody nogroup;worker_processes auto; # auto-detect number of logical CPU cores events { worker_connections 512; # set the max number of simultaneous.. 2017. 3. 30.
socket.io load balancing with HAProxy on Docker Load Balancing with HAProxy on Docker Setup HAProxy + Socket.io + Node HAProxy Config haproxy.cfg 1234567891011121314151617181920212223242526272829303132333435363738394041global maxconn 4096 defaults mode http balance roundrobin option redispatch option forwardfor timeout connect 5s timeout queue 5s timeout client 50s timeout server 50s listen stats bind *:1936 mode http stats enable stats uri /.. 2017. 3. 28.
HAProxy with Docker Use HAProxy with Docker 1. Create Dockerfile for HAProxy Build with Docker 12FROM haproxy:1.7 // Set HAProxy versionADD haproxy.cfg /usr/local/etc/haproxy/haproxy.cfgcs 2. Docker build using Dockerfile created1docker build -t my-haproxy .cs 3. After you build Dockerfile, you can find docker images that is my-haproxy 123$ docker imagesREPOSITORY TAG IMAGE ID CREATED SIZEmy-haproxy latest 98f53e22.. 2017. 3. 24.
docker upgrade (error : The engine version is lesser than the minimum required by compose) docker-compose 를 업그레이드 이 후 docker-compose up 을 할 경우 1ERROR: The engine version is lesser than the minimum required by compose. Your current project requires a Docker Engine of version 1.10.0 or superior.cs 위와 같이 또 다른 에러가 발생할 수 있다. 1234567891011121314151617$ docker versionClient: Version: 1.9.1 API version: 1.21 Go version: go1.4.3 Git commit: a34a1d5 Built: Fri Nov 20 17:56:04 UTC 2015 OS/Arch: .. 2016. 7. 18.
728x90
반응형
LIST